Bug 58522 - Segmentation fault with RPM 4.0.3
Segmentation fault with RPM 4.0.3
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-18 13:36 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-05 13:11:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-18 13:36:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90; Q312461)

Description of problem:
When I run rpm -qa , i get a segfault at the end, with a few lines like "error: 
rpmdb: damaged header instance #1140 retrieved, skipping." tossed into the 
package list (not the complete list).  
A database rebuild :
[root@hercules rpm]# rpm --rebuilddb
error: rpmdb: damaged header instance #857 retrieved, skipping.
error: rpmdb: damaged header instance #1036 retrieved, skipping.
error: rpmdb: damaged header instance #1044 retrieved, skipping.
error: rpmdb: damaged header instance #1140 retrieved, skipping.
Segmentation fault
----
This system was just recently upgraded from Redhat6.1 .   A listing 
of /var/lib/rpm :
[root@hercules rpm]# ls /var/lib/rpm -l
total 31044
-rw-r--r--    1 rpm      rpm       5439488 Jan 18 13:15 Basenames
-rw-r--r--    1 rpm      rpm         12288 Jan 18 13:15 Conflictname
-rw-r--r--    1 root     root         8192 Jan 18 13:31 __db.001
-rw-r--r--    1 root     root       655360 Jan 18 13:31 __db.002
-rw-r--r--    1 rpm      rpm        962560 Jan 18 13:15 Dirnames
-rw-r--r--    1 rpm      rpm         24576 Jan 18 13:15 Group
-rw-r--r--    1 rpm      rpm         16384 Jan 18 13:15 Installtid
-rw-r--r--    1 rpm      rpm         45056 Jan 18 13:15 Name
-rw-r--r--    1 rpm      rpm      24969216 Jan 18 13:15 Packages
-rw-r--r--    1 rpm      rpm        167936 Jan 18 13:15 Providename
-rw-r--r--    1 rpm      rpm         69632 Jan 18 13:15 Provideversion
-rw-r--r--    1 rpm      rpm        221184 Jan 18 13:15 Requirename
-rw-r--r--    1 rpm      rpm        118784 Jan 18 13:15 Requireversion
-rw-r--r--    1 rpm      rpm         12288 Jan 18 13:15 Triggername
-------- 
Thank you.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -qa   produces segfault
2. rpm --rebuilddb causes error: rpmdb: damaged header instance #857 retrieved, 
skipping errors plus segfaults

	

Actual Results:  rpm --rebuilddb
error: rpmdb: damaged header instance #857 retrieved, skipping.
error: rpmdb: damaged header instance #1036 retrieved, skipping.
error: rpmdb: damaged header instance #1044 retrieved, skipping.
error: rpmdb: damaged header instance #1140 retrieved, skipping.
Segmentation fault

Expected Results:  A successful rpm db rebuild :)

Additional info:
Comment 1 Jeff Johnson 2002-02-05 13:06:37 EST
You have a damaged rpm database. If you give me a
pointer (URL, attachments won't work) to a tarball
	cd /var/lib
	tar czvf /tmp/rpmdb-58522.tar.gz rpm
I'll see what I can save. No promises ...
Comment 2 Need Real Name 2002-02-05 13:11:08 EST
http://www.banklogic.net/rpmdb-58522.tar.gz
File size: 10916038

Hope that helps.

~Rick Shank
Comment 3 Jeff Johnson 2002-02-05 14:38:25 EST
Fixed in private e-mail.

Note You need to log in before you can comment on or make changes to this bug.